STKLOS-SETUP(1)

NAME
stklos-setup - Management of STklos extensions

SYNOPSIS
stklos-setup [options] extension

DESCRIPTION
The stklos-setup command is the general tool for downloading, installing and uninstalling STklos extensions. If the command is run as super user, the installation is done in the standard STklos installations directories. If it is run as a normal user, the files will be installed in the user repository (that is somewhere in ~/.stklos directory.

When called without option, this command will search the extension in the current directory and try to install it. If the extension is not available, it will try to fetch it (using wget(1) ).

OPTIONS
Here are the options available in the version 0.82 of stklos.

--list | -l
    List already installed extensions

--uninstall | -u
    Uninstall the given extension

--keep | -k
    Keep the intermediary files. This is useful to fix incorrect extensions

--help | -h | -?
    Show a list of options

FILES

~/.stklos/ext
    The STklos user extension repository

SEE ALSO
stklos(1)